Class: Aws::Imagebuilder::Types::CreateDistributionConfigurationRequest

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#client_tokenString

A unique, case-sensitive identifier you provide to ensure that the operation completes no more than one time. If this token matches a previous request, the service ignores the request, but does not return an error. For more information, see Ensuring idempotency in the Amazon EC2 API Reference.

A suitable default value is auto-generated. You should normally not need to pass this option.

Returns:

  • (String)


1370
1371
1372
1373
1374
1375
1376
1377
1378
1379
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1370

class CreateDistributionConfigurationRequest < Struct.new(
  :name,
  :description,
  :distributions,
  :tags,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#descriptionString

The description of the distribution configuration.

Returns:

  • (String)


1370
1371
1372
1373
1374
1375
1376
1377
1378
1379
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1370

class CreateDistributionConfigurationRequest < Struct.new(
  :name,
  :description,
  :distributions,
  :tags,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#distributionsArray<Types::Distribution>

The distributions of the distribution configuration.

Returns:



1370
1371
1372
1373
1374
1375
1376
1377
1378
1379
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1370

class CreateDistributionConfigurationRequest < Struct.new(
  :name,
  :description,
  :distributions,
  :tags,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#dry_runBoolean

Validates the required permissions and request parameters without making the request. If validation succeeds, the operation returns a DryRunOperationException error response.

Returns:

  • (Boolean)


1370
1371
1372
1373
1374
1375
1376
1377
1378
1379
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1370

class CreateDistributionConfigurationRequest < Struct.new(
  :name,
  :description,
  :distributions,
  :tags,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#nameString

The name of the distribution configuration.

Returns:

  • (String)


1370
1371
1372
1373
1374
1375
1376
1377
1378
1379
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1370

class CreateDistributionConfigurationRequest < Struct.new(
  :name,
  :description,
  :distributions,
  :tags,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#tagsHash<String,String>

The tags of the distribution configuration.

Returns:

  • (Hash<String,String>)


1370
1371
1372
1373
1374
1375
1376
1377
1378
1379
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1370

class CreateDistributionConfigurationRequest < Struct.new(
  :name,
  :description,
  :distributions,
  :tags,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end